<?php 
require_once("config_sql.php");
$login_ok = "nee";
if((ISSET($_GET['naam'])) && (ISSET($_GET['pass'])))
{
	$ok_pass = halen("SELECT wachtwoord FROM members WHERE naam='".$_GET['naam']."';");
	$ok_functie = halen("SELECT functie FROM members WHERE naam='".$_GET['naam']."';");
	if ($ok_pass == $_GET['pass'])
	{
		$login_ok = "ja";
	}
}
if (ISSET($_GET['item_nr']))
{
	if ($hotel_status == "online")
	{
		$item_nr = $_GET['item_nr'];
		$item_db_owner = halen("SELECT eigenaar FROM items WHERE nr='".$item_nr."'");
		$new_kamerused = $_GET['kamer_id'];
		$new_tegel = $_GET['tegel'];
		$new_x = $_GET['x'];
		$new_x = str_replace("px", "", $new_x);
		$new_y = $_GET['y'];
		$new_y = str_replace("px", "", $new_y);
		$new_z = $_GET['z'];
		$new_h = $_GET['h'];
		$new_actie = $_GET['actie'];
		$new_stapelnr = $_GET['stapelnr'];
		$handstatus = $_GET['handstatus'];
		// DE WAARDEN VOOR DE HAND: meer dan 453x, meer dan 0y, minder dan 720x (453+267), minder dan 162y (0+162)
		if (($_GET['naam'] == $item_db_owner) && ($login_ok == "ja"))
		{
			if ($handstatus == "ja")
			{
				mysql_query("UPDATE items SET kamerused=0, forsale=0, x='".$new_x."', y='".$new_y."', z=".$new_z.", h=1, actie='nee', tegel='geen', stapelnr='0' WHERE nr='".$item_nr."'");
			}
			else
			{
				mysql_query("UPDATE items SET kamerused='".$new_kamerused."', forsale=0, x='".$new_x."', y='".$new_y."', z='".$new_z."', h='".$new_h."', actie='".$new_actie."', tegel='".$new_tegel."', stapelnr='".$new_stapelnr."' WHERE nr='".$item_nr."';");
			}
		}
	}
}
?>